ApiHealthSummary (cloudera-manager-api-swagger 7.13.1 API)
Date: 2026-05-19

com.cloudera.api.swagger.model

## Enum ApiHealthSummary

- java.lang.Object
- - java.lang.Enum<ApiHealthSummary>
  - - com.cloudera.api.swagger.model.ApiHealthSummary

- All Implemented Interfaces:
    Serializable, Comparable<ApiHealthSummary>

      public enum ApiHealthSummary
      extends Enum<ApiHealthSummary>

  Represents of the high-level health status of a subject in the cluster.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ApiHealthSummary.Adapter`

  - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BAD`
    `CONCERNING`
    `DISABLED`
    `GOOD`
    `HISTORY_NOT_AVAILABLE`
    `NOT_AVAILABLE`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ApiHealthSummary` | `fromValue(String input)`
    `String` | `getValue()`
    `String` | `toString()`
    `static ApiHealthSummary` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ApiHealthSummary[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### DISABLED

          @SerializedName(value="DISABLED")
          public static final ApiHealthSummary DISABLED

    - #### HISTORY_NOT_AVAILABLE

          @SerializedName(value="HISTORY_NOT_AVAILABLE")
          public static final ApiHealthSummary HISTORY_NOT_AVAILABLE

    - #### NOT_AVAILABLE

          @SerializedName(value="NOT_AVAILABLE")
          public static final ApiHealthSummary NOT_AVAILABLE

    - #### GOOD

          @SerializedName(value="GOOD")
          public static final ApiHealthSummary GOOD

    - #### CONCERNING

          @SerializedName(value="CONCERNING")
          public static final ApiHealthSummary CONCERNING

    - #### BAD

          @SerializedName(value="BAD")
          public static final ApiHealthSummary BAD

  - ### Method Detail

    - #### values

          public static ApiHealthSummary[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ApiHealthSummary c : ApiHealthSummary.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ApiHealthSummary valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getValue

          public String getValue()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Enum<ApiHealthSummary>`

    - #### fromValue

          public static ApiHealthSummary fromValue(String input)

Copyright © 2026. All rights reserved.